Skip to main content
POST
/
projects
/
{project_id}
/
artifacts
Upload project artifact
curl --request POST \
  --url https://api.example.com/projects/{project_id}/artifacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "id": "<string>",
  "project_id": "<string>",
  "agent_name": "<string>",
  "filename": "<string>",
  "content_type": "<string>",
  "size_bytes": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Project ID

Query Parameters

agent_name
string

Optional agent name to attach to this uploaded artifact.

Body

multipart/form-data
file
file
required

Response

Uploaded text artifact metadata

id
string
required
project_id
string
required
agent_name
string | null
required
filename
string
required
content_type
string
required
size_bytes
number
required
created_at
string<date-time> | null
required